Bug 1298042 - Ajaxify BayotBasefields fielddefs and config.
Ajaxify BayotBasefields fielddefs and config.
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: User Interface (Show other bugs)
4.4
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks: 1182800 1211449 1215019
  Show dependency treegraph
 
Reported: 2016-01-13 00:04 EST by Jeff Fearn
Modified: 2016-04-18 01:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-18 01:01:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Fearn 2016-01-13 00:04:12 EST
Description of problem:
Bayote base embeds all the components, products, etc in to it's javascript which create a 7MB d/l on our data set. These need to be ajaxified to make it efficient.

See the bayotbase/fielddefs.js & BB_CONFIG lines commented out in [1].

1: extensions/BayotBase/template/en/default/hook/global/header-start.html.tmpl
Comment 1 Rony Gong 2016-02-24 21:39:48 EST
Could you tell me which part feature of bugzilla should QE pay more attention to, this will guid us to do a specific test against bugzilla.
Comment 2 Jeff Fearn 2016-02-24 22:53:03 EST
The purpose of this change is to prevent 7MB JavaScript files being d/l, so the test is to make sure that pages don't do that.

You won't be able to test the functional impacts until the inline editing and dependency extensions are added, as they are the extension that could be affected by this change.
Comment 3 Hui Wang 2016-03-29 02:21:05 EDT
Verified this issue.
The result is PASS.
version 5.0.2.rh2

Just verify the inline editing page and dependency pages. The page are less than 7MB.

Note You need to log in before you can comment on or make changes to this bug.